REST APIWorkflows
Validate a workflow document
Validate a workflow document — Spinrun Build REST API operation.
POST
/api/build/workflows/validateAuthorization
bearerAuth AuthorizationBearer <token>
OAuth access token whose grant carries Build authorization.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A whole workflow as one JSON document.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/build/workflows/validate" \ -H "Content-Type: application/json" \ -d '{ "kind": "spinrun.workflow/v1", "slug": "string", "name": "string", "description": "string", "enabled": true, "space": { "team": "string" }, "send_as": "string", "inputs": { "property1": {}, "property2": {} }, "schedule": { "cron": "stringstr", "timezone": "string" }, "steps": [ { "id": "string", "kind": "tool", "tool": "string" } ], "output": "string" }'{ "data": { "valid": true, "changes": [ "string" ], "document": null }}